unit d_lmdxp0;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, lmdclass, lmdxpres,
  StdCtrls, LMDControl, LMDBaseControl, LMDBaseGraphicControl,
  LMDBaseLabel, LMDCustomSimpleLabel, LMDSimpleLabel, LMDCustomGroupBox,
  LMDGroupBox, LMDCustomControl, LMDCustomPanel, LMDCustomBevelPanel,
  LMDCustomParentPanel, LMDCustomPanelFill, LMDButtonBar, LMDButtonControl,
  LMDCustomCheckBox, LMDCheckBox, LMDSimplePanel, LMDFormDisplay,
  LMDCustomComponent, lmdcont, LMDApplicationCtrl, LMDBaseController,
  LMDCustomContainer, LMDCustomImageList, LMDImageList,
  LMDCustomRadioGroup, LMDRadioGroup, LMDRadioButton,
  WinSkinData, LMDCustomButtonGroup, LMDCustomTrackBar, LMDTrackBar,
  LMDCalculator;

type
  TLMDXPDemo = class(TForm)
    bbar: TLMDButtonBar;
    LMDSimplePanel1: TLMDSimplePanel;
    LMDGroupBox1: TLMDGroupBox;
    lbl: TLMDSimpleLabel;
    LMDGroupBox2: TLMDGroupBox;
    chkXP: TLMDCheckBox;
    chkOnly: TLMDCheckBox;
    fd: TLMDFormDisplay;
    LMDImageList1: TLMDImageList;
    LMDApplicationCtrl1: TLMDApplicationCtrl;
    LMDTrackBar1: TLMDTrackBar;
    LMDCalculator1: TLMDCalculator;
    SkinData1: TSkinData;
    procedure FormCreate(Sender: TObject);
    procedure bbarItemClick(Sender: TObject; Section,
      Item: Integer);
    procedure chkXPClick(Sender: TObject);
    procedure chkOnlyClick(Sender: TObject);
    procedure SkinData1SkinControl(Sender: TComponent; SkinData: TSkinData;
      Form, Control: TControl; ControlClass: String;
      var SkinnedControl: TComponent);
    procedure chkXPChange(Sender: TObject);
  private
    procedure BuildLabel;
  public
    { Public declarations }
  end;

var
  LMDXPDemo: TLMDXPDemo;
  fm:Tform;

implementation
uses
  lmdsysin,
  d_lmdxp1,
  d_lmdxp2,
  d_lmdxp2a,
  d_lmdxp3,
  d_lmdxpstd,
  d_lmdxpext,
  d_lmdxpedit,
  d_lmdxplist,
  d_lmdxpcombo
  ;
{$R *.DFM}

procedure TLMDXPDemo.BuildLabel;
var
  tmp:String;
begin
  try
    // Check for WindowsXP
    if LMDSIWindowsXP then
      tmp:='Windows XP'
    else
      begin
        tmp:='No Windows XP available, Theme support not possible';
        chkXP.Enabled:=False;
        chkOnly.Enabled:=False;
        exit;
      end;

    // Check whether Themes are enabled for system
    if LMDApplication.XPThemesSupported then
      tmp:=tmp+', Themes enabled'
    else
      tmp:=tmp+', Themes disabled'
  finally
    lbl.Caption:=tmp;
  end;
end;

procedure TLMDXPDemo.FormCreate(Sender: TObject);
begin
  BuildLabel;
//  LMDApplication.UseXPThemesLMDOnly:=True;
  LMDApplication.UseXPThemes:=false;
  fm:=nil;
  fd.AddFormClass(Tfrmxp1, True);
end;

procedure TLMDXPDemo.bbarItemClick(Sender: TObject; Section,
  Item: Integer);
var
  tmp:TFormClass;
begin
  tmp:=nil;
  case Section of
    0: case Item of
         0: tmp:=Tfrmxp1;
         1: tmp:=Tfrmxp2;
         2: tmp:=Tfrmxp2a;
         3: tmp:=Tfrmxp3;
       end;
    1: case Item of
         0: tmp:=TfrmXPStd;
         1: tmp:=TfrmXPExt;
         2: tmp:=TfrmXPEdit;
         3: tmp:=TfrmXPCombo;
         4: tmp:=TfrmXPList;
       end;
  end;
  if fd.ActiveForm.ClassType<>tmp then
    if tmp=nil then
      Application.Terminate
    else
      begin
        if fm<>nil then fm.Free;
//        Application.CreateForm(tmp, fm);
//        fm.show;
        fd.Unload;
        fd.AddFormClass(tmp, True);
        skindata1.UpdateSkinControl(self);
      end;
end;

procedure TLMDXPDemo.chkXPClick(Sender: TObject);
begin
//  LMDApplication.UseXPThemes:=chkXP.Checked;
end;

procedure TLMDXPDemo.chkOnlyClick(Sender: TObject);
begin
//  LMDApplication.UseXPThemesLMDOnly:=chkOnly.Checked;
end;

procedure TLMDXPDemo.SkinData1SkinControl(Sender: TComponent;
  SkinData: TSkinData; Form, Control: TControl; ControlClass: String;
  var SkinnedControl: TComponent);
begin
    if controlclass='TLMDRADIOGROUP' then begin
       TLMDRadioGroup(Control).flatglyphs:=false;
    end;
    if controlclass='TLMDCHECKBOX' then begin
       TLMDCheckBox(Control).flat:=false;
    end;
    if controlclass='TLMDRADIOBUTTON' then begin
       TLMDRadioButton(Control).flat:=false;
    end;
end;

procedure TLMDXPDemo.chkXPChange(Sender: TObject);
begin
     skindata1.Active:= not skindata1.Active; 
end;

end.
